Skip to content
POST/{organizationId}/{mandateId}/finance/accounts/export/datev

Export debt/cred to Datev

Exports debtors or creditors to a Datev "Debitoren-/Kreditoren" CSV file for given mandate

Required permissions:

  • mandate.read

Permissions depending on type:

  • debtor.read

  • creditor.read

Path Parameters

organizationIdstringrequired
mandateIdstringrequired

Request Body required

Content-Type: application/json

typestringrequired

Options:

debtorscreditors

Authentication: X-API-Key

Request

POST/{organizationId}/{mandateId}/finance/accounts/export/datev
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/finance/accounts/export/datev' \
  --header 'X-API-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "type": "debtors"
}'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

Response

200
{
  "debtors": -9007199254740991,
  "creditors": -9007199254740991,
  "csv": [
    [
      "string"
    ]
  ],
  "fileName": "string"
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}